import { defineStore } from 'pinia'
import { ref } from 'vue'

interface UserInfo {
  isSuper: boolean
}

export const useUser = defineStore('userInfo', () => {
  const userInfo = ref<UserInfo>({
    isSuper: false
  })

  const setUserInfo = (info: UserInfo) => {
    userInfo.value = info
    console.log(userInfo.value)
  }

  const getUserInfo = () => userInfo.value

  return { setUserInfo, getUserInfo }
})
